module.exports = {
  toChannelIndex: toChannelIndex,
  toAboutUs: toAboutUs,
}

///选择指定频道
function toChannelIndex(index, callback) {
  var pages = getCurrentPages();
  const route_util = require('../route_util');
  const route_constant = require('../route_constant');
  var isLogin = pages[0].getIsLogin();
  if (!isLogin) {
    route_util.jump(route_constant.login);
    return;
  }

  var actionIndex = pages[0].getActionIndex();
  if (actionIndex != null && index == actionIndex) {
    return;
  };

  var deviceList = pages[0].getDeviceList();
  var deviceListSelect = pages[0].getDeviceListSelect();
  if (deviceListSelect === null || deviceList.length <= deviceListSelect) {
    wx.showToast({
      title: '请选择设备',
      icon: "none"
    });
    return;
  };

  callback(index);

  const app = getApp();
  const lexin_util = require('../lexin/util');
  var channelData = pages[0].getChannelData();

  // `${deviceUid}`
  var userId = `${app.globalData.userInfo.userId}`;
  var timestamp = Math.round(new Date() / 1000);
  var channel_id = channelData[index].channelNum;
  var is_debug = app.globalData.is_debug;

  var deviceId = deviceList[deviceListSelect].deviceId;
  /// 933625
  console.log("gadfadsfqewrq==111=" + userId);
  console.log("gadfadsfqewrq==222=" + JSON.stringify(app.globalData.userInfo));
  const other = {
    "url": "",
    "media_data": "",
    "user_id": userId,
    "timestamp": timestamp,
    "channel_id": channel_id,
    "order": "",
    "resource_from": "",
    "songAlbumID": "",
    "version": 3,
    "is_debug": is_debug,
  };

  // {"url":"","media_data":"","user_id":"1","timestamp":1739514803,"channel_id":2,"order":"","resource_from":"","songAlbumID":"","version":3,"is_debug":1}

  // 发送设备数据:true,/AIrSMArT_210052356337/user/sub_control, {"DstDeviceName":"AIrSMArT_210052356337","SrcDeviceName":"ALY_933625_Android","type":"play",
  // "user_id":"933625","other"{"url":"","media_data":"","user_id":"933625","timestamp":"1726129883",
  // "channel_id":9,"resource_from":"","categoryId":"","sort":0,"order":"2","version":3,"is_debug":1}}
  //deviceMacId: AIrSMArT_7cdfa1fd3af0
  var deviceMacId = lexin_util.getDeviceMacId(deviceId);
  app.PubMsg({
    type: "play",
    DstDeviceName: deviceMacId,
    other: other
  });
};

///关于我们
function toAboutUs() {
  const route_util = require('../route_util');
  const route_constant = require('../route_constant');
  route_util.jump(route_constant.about);
};